You must pass individual tests to obtain marks.
The Mark of the Guildsman is only given to those who pass the Trial of the Guildsman. You must be above level 35 to take the test. To receive the Mark of the Guildsman, go to Giran Castle Town and meet Warehouse Keeper Valkon.
The Mark of Prosperity is only given to those who pass the Testimony of Prosperity. You must be above level 37 to take the test. To take the Testimony of Prosperity, go to Giran Castle Town and meet Warehouse Keeper Parman.
And finally the Mark of the Maestro is only given to those who pass the Test of the Maestro. You must be above level 39 to take the test. To take the Test of the Maestro, visit First Elder Lockirin of the Dwarven Village.
Return